Page MenuHomePhabricator

Overcommit -> arc lint
Closed, WontfixPublic

Description

We have a number of overcommit hooks defined, and overcommit runs lint for us. I'd like to delegate linting to it, capture those results via arc and push them up to Differential so that they are visible on revisions. The problem I'm running into is that overcommit manages which files to run on; and it doesn't take a filename argument, which means I can't use the script-and-regex linter to wrap it. Is there a way to do this better?

Event Timeline

venky created this task.Jul 29 2016, 11:13 PM
chad added a subscriber: chad.Jul 29 2016, 11:58 PM

Does overcommit emit patches? I'm reading through the docs, and not clear what the benefit specifically is over arcanist. If it's ease of distribution, we're actively working on that.

venky added a comment.Jul 30 2016, 1:09 AM

Not claiming it's better (it seems to do a lot of what arc lint does, minus the ability to amend), just that we already have linting set up through it and have custom linters implemented in that framework.

epriestley closed this task as Wontfix.Jul 30 2016, 11:38 AM
epriestley claimed this task.
epriestley added a subscriber: epriestley.

I'm just going to close this in favor of T10038. The short answer is: write bindings.

Bindings are kind of hard to write right now, and very hard to update/distribute in many cases. T5055 will make bindings easier to distribute/update, then T10038 will make bindings easier to write. The links in T10038 have a number of examples of how to write bindings today (see all the linked patches) but I don't plan to bring any more bindings upstream (instead, they'll be distributed as packages via T5055 in the future).

venky added a comment.Aug 1 2016, 8:00 AM
This comment was removed by venky.